/**
 * connect-bridge-node module test
 *
 */

var cbnode = require('./module.js')('pg.connecting-software.com', 4433, 'youruser', 'yourpassword', 'your_cb_account');


function onError(err) {
    console.error(err);
}

function onConnected() {
    console.log('connected to Connect Bridge');
    cbnode.execute("select * from Appointment;", [], onResult, onError);        
}

function onDisconnected() {
    console.log('disconnected');
}

function onResult(result)
{
    console.log(result);
    cbnode.disconnect(onDisconnected, onError);
}

cbnode.connect(onConnected, onError);

